Nimbu Developer Docs
ReferenceShipping Rates

Fetch a shipping rate

GET
/shipping_rates/{shipping_rate_id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

shipping_rate_id*string

Shipping rate identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/shipping_rates/string"
{
  "id": "string",
  "name": "string",
  "default": true,
  "pickup": true,
  "criteria": "string",
  "price": 0,
  "weight_min": 0,
  "weight_max": 0,
  "order_min": 0,
  "order_max": 0,
  "restricted": true,
  "zipcodes": [
    "string"
  ],
  "region_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "region": {}
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}